package com.njcn.csharmonic.service.event;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.njcn.common.pojo.response.HttpResult;
import com.njcn.csharmonic.pojo.param.EventStatisticParam;
import com.njcn.csharmonic.pojo.vo.event.EventCoordsVO;
import com.njcn.csharmonic.pojo.vo.event.EventStatisticVO;
import com.njcn.csharmonic.pojo.vo.event.F47Curve;
import com.njcn.web.pojo.param.BaseParam;
import org.springframework.web.bind.annotation.RequestBody;

import java.util.List;

/**
 * @Author: cdf
 * @CreateTime: 2025-11-20
 * @Description: 暂降相关
 */
public interface EventOverviewService {

    EventStatisticVO netEventEcharts(EventStatisticParam baseParam);


    List<EventStatisticVO> netEventTable(EventStatisticParam baseParam);

    List<F47Curve> getF47Curve(EventStatisticParam baseParam);

    List<EventStatisticVO> getEventDate(EventStatisticParam baseParam);

    EventCoordsVO getEventCoords(EventStatisticParam baseParam);
}
